libmpdclient: /usr/src/extras/libmpdclient/libmpdclient-2.11-1.i686/src/libmpdclient-2.11/include/mpd/status.h File Reference

libmpdclient 2.11

Enumerations | Functions
status.h File Reference

MPD client library. More...

Go to the source code of this file.

## Enumerations
enum | mpd_state { MPD_STATE_UNKNOWN = 0, MPD_STATE_STOP = 1, MPD_STATE_PLAY = 2, MPD_STATE_PAUSE = 3 }

## Functions
mpd_malloc struct mpd_status * | mpd_status_begin (void)
void | mpd_status_feed (struct mpd_status *status, const struct mpd_pair *pair)
bool | mpd_send_status (struct mpd_connection *connection)
mpd_malloc struct mpd_status * | mpd_recv_status (struct mpd_connection *connection)
mpd_malloc struct mpd_status * | mpd_run_status (struct mpd_connection *connection)
void | mpd_status_free (struct mpd_status *status)
mpd_pure int | mpd_status_get_volume (const struct mpd_status *status)
mpd_pure bool | mpd_status_get_repeat (const struct mpd_status *status)
mpd_pure bool | mpd_status_get_random (const struct mpd_status *status)
mpd_pure bool | mpd_status_get_single (const struct mpd_status *status)
mpd_pure bool | mpd_status_get_consume (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_queue_length (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_queue_version (const struct mpd_status *status)
mpd_pure enum mpd_state | mpd_status_get_state (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_crossfade (const struct mpd_status *status)
mpd_pure float | mpd_status_get_mixrampdb (const struct mpd_status *status)
mpd_pure float | mpd_status_get_mixrampdelay (const struct mpd_status *status)
mpd_pure int | mpd_status_get_song_pos (const struct mpd_status *status)
mpd_pure int | mpd_status_get_song_id (const struct mpd_status *status)
mpd_pure int | mpd_status_get_next_song_pos (const struct mpd_status *status)
mpd_pure int | mpd_status_get_next_song_id (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_elapsed_time (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_elapsed_ms (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_total_time (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_kbit_rate (const struct mpd_status *status)
mpd_pure const struct mpd_audio_format * | mpd_status_get_audio_format (const struct mpd_status *status)
mpd_pure unsigned | mpd_status_get_update_id (const struct mpd_status *status)
mpd_pure const char * | mpd_status_get_error (const struct mpd_status *status)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file status.h.

## Enumeration Type Documentation

## ◆ mpd_state

enum mpd_state

MPD's playback state.

Enumerator
MPD_STATE_UNKNOWN | no information available
MPD_STATE_STOP | not playing
MPD_STATE_PLAY | playing
MPD_STATE_PAUSE | playing, but paused

Definition at line 49 of file status.h.

## Function Documentation

## ◆ mpd_status_begin()

mpd_malloc struct mpd_status* mpd_status_begin | ( | void |  | ) |

Begins parsing the server status: creates a new empty mpd_status object. Free it with mpd_status_free().

Returns
  the newly allocated mpd_status object, or NULL if out of memory

## ◆ mpd_status_feed()

void mpd_status_feed | ( | struct mpd_status * | status,
|  | const struct mpd_pair * | pair
| ) |  |

Parses the pair, adding its information to the specified mpd_status object.

## ◆ mpd_send_status()

bool mpd_send_status | ( | struct mpd_connection * | connection | ) |

Sends the "status" command to MPD. Call mpd_recv_status() to read the response.

Returns
  true on success

## ◆ mpd_recv_status()

mpd_malloc struct mpd_status* mpd_recv_status | ( | struct mpd_connection * | connection | ) |

Receives a mpd_status object from the server.

Returns
  the received mpd_status object, or NULL on error

## ◆ mpd_run_status()

mpd_malloc struct mpd_status* mpd_run_status | ( | struct mpd_connection * | connection | ) |

Executes the "status" command and reads the response.

Returns
  the mpd_status object returned by the server, or NULL on error

## ◆ mpd_status_free()

void mpd_status_free | ( | struct mpd_status * | status | ) |

Releases a mpd_status object.

## ◆ mpd_status_get_volume()

mpd_pure int mpd_status_get_volume | ( | const struct mpd_status * | status | ) |

Returns the current volume: 0-100, or -1 when there is no volume support.

## ◆ mpd_status_get_repeat()

mpd_pure bool mpd_status_get_repeat | ( | const struct mpd_status * | status | ) |

Returns true if repeat mode is on.

## ◆ mpd_status_get_random()

mpd_pure bool mpd_status_get_random | ( | const struct mpd_status * | status | ) |

Returns true if random mode is on.

## ◆ mpd_status_get_single()

mpd_pure bool mpd_status_get_single | ( | const struct mpd_status * | status | ) |

Returns true if single mode is on.

## ◆ mpd_status_get_consume()

mpd_pure bool mpd_status_get_consume | ( | const struct mpd_status * | status | ) |

Returns true if consume mode is on.

## ◆ mpd_status_get_queue_length()

mpd_pure unsigned mpd_status_get_queue_length | ( | const struct mpd_status * | status | ) |

Returns the number of songs in the queue. If MPD did not specify that, this function returns 0.

## ◆ mpd_status_get_queue_version()

mpd_pure unsigned mpd_status_get_queue_version | ( | const struct mpd_status * | status | ) |

Returns queue version number. You may use this to determine when the queue has changed since you have last queried it.

## ◆ mpd_status_get_state()

mpd_pure enum mpd_state mpd_status_get_state | ( | const struct mpd_status * | status | ) |

Returns the state of the player: either stopped, playing or paused.

## ◆ mpd_status_get_crossfade()

mpd_pure unsigned mpd_status_get_crossfade | ( | const struct mpd_status * | status | ) |

Returns crossfade setting in seconds. 0 means crossfading is disabled.

## ◆ mpd_status_get_mixrampdb()

mpd_pure float mpd_status_get_mixrampdb | ( | const struct mpd_status * | status | ) |

Returns mixrampdb setting in db.

Since
  libmpdclient 2.2

## ◆ mpd_status_get_mixrampdelay()

mpd_pure float mpd_status_get_mixrampdelay | ( | const struct mpd_status * | status | ) |

Returns mixrampdelay setting in seconds. Negative means mixramp is disabled.

Since
  libmpdclient 2.2

## ◆ mpd_status_get_song_pos()

mpd_pure int mpd_status_get_song_pos | ( | const struct mpd_status * | status | ) |

Returns the position of the currently playing song in the queue (beginning with 0) if a song is currently selected (always the case when state is PLAY or PAUSE). If there is no current song, -1 is returned.

## ◆ mpd_status_get_song_id()

mpd_pure int mpd_status_get_song_id | ( | const struct mpd_status * | status | ) |

Returns the id of the current song. If there is no current song, -1 is returned.

## ◆ mpd_status_get_next_song_pos()

mpd_pure int mpd_status_get_next_song_pos | ( | const struct mpd_status * | status | ) |

The same as mpd_status_get_next_song_pos, but for the next song to be played.

Since
  libmpdclient 2.7

## ◆ mpd_status_get_next_song_id()

mpd_pure int mpd_status_get_next_song_id | ( | const struct mpd_status * | status | ) |

Returns the id of the next song to be played. If it is not known, -1 is returned.

Since
  libmpdclient 2.7

## ◆ mpd_status_get_elapsed_time()

mpd_pure unsigned mpd_status_get_elapsed_time | ( | const struct mpd_status * | status | ) |

Returns time in seconds that have elapsed in the currently playing/paused song

## ◆ mpd_status_get_elapsed_ms()

mpd_pure unsigned mpd_status_get_elapsed_ms | ( | const struct mpd_status * | status | ) |

Returns time in milliseconds that have elapsed in the currently playing/paused song.

Since
  libmpdclient 2.1

## ◆ mpd_status_get_total_time()

mpd_pure unsigned mpd_status_get_total_time | ( | const struct mpd_status * | status | ) |

Returns the length in seconds of the currently playing/paused song

## ◆ mpd_status_get_kbit_rate()

mpd_pure unsigned mpd_status_get_kbit_rate | ( | const struct mpd_status * | status | ) |

Returns current bit rate in kbps. 0 means unknown.

## ◆ mpd_status_get_audio_format()

mpd_pure const struct mpd_audio_format* mpd_status_get_audio_format | ( | const struct mpd_status * | status | ) |

Returns audio format which MPD is currently playing. May return NULL if MPD is not playing or if the audio format is unknown.

## ◆ mpd_status_get_update_id()

mpd_pure unsigned mpd_status_get_update_id | ( | const struct mpd_status * | status | ) |

Returns 1 if mpd is updating, 0 otherwise

## ◆ mpd_status_get_error()

mpd_pure const char* mpd_status_get_error | ( | const struct mpd_status * | status | ) |

Returns the error message